org.appng.core.model

## Interface AccessibleApplication

- All Superinterfaces:
    Application, Identifiable<Integer>, Identifier, Nameable, Named<Integer>, Serializable, Versionable<Date>
  All Known Implementing Classes:
    ApplicationImpl, ApplicationProvider

      public interface AccessibleApplication
      extends Application

  Interface extending `Application`, adding the ability to modify the fields with appropriate setters.
  Author:
    Matthias Müller

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `closeContext()`
    `org.springframework.context.ConfigurableApplicationContext` | `getContext()`
    `Resources` | `getResources()` the `Resources` for this `Application`.
    `void` | `setContext(org.springframework.context.ConfigurableApplicationContext applicationContext)`
    `void` | `setDescription(String description)`
    `void` | `setFeatureProvider(FeatureProvider featureProvider)`
    `void` | `setFileBased(boolean fileBased)`
    `void` | `setId(Integer id)`
    `void` | `setName(String name)`
    `void` | `setPermissions(Set<Permission> permissions)`
    `void` | `setPrivileged(boolean isPrivileged)`
    `void` | `setProperties(Properties properties)`
    `void` | `setResources(Resources resources)`
    `void` | `setRoles(Set<Role> roles)`
    `void` | `setVersion(Date version)`

    - ### Methods inherited from interface org.appng.api.model.Application

      `containsBean, getApplicationSubjects, getBean, getBean, getBean, getBeanNames, getFeatureProvider, getMessage, getPermissions, getProperties, getResourceSet, getRoles, getSessionParamKey, getSessionParams, isCoreApplication, isFileBased, isHidden, isPrivileged`

    - ### Methods inherited from interface org.appng.api.model.Identifier

      `getAppNGVersion, getDisplayName, getLongDescription, getPackageVersion, getTimestamp, isInstalled, isSnapshot`

    - ### Methods inherited from interface org.appng.api.model.Nameable

      `getDescription, getName`

    - ### Methods inherited from interface org.appng.api.model.Identifiable

      `getId`

    - ### Methods inherited from interface org.appng.api.model.Versionable

      `getVersion`

- - ### Method Detail

    - #### setId

          void setId(Integer id)

    - #### setName

          void setName(String name)

    - #### setDescription

          void setDescription(String description)

    - #### setFileBased

          void setFileBased(boolean fileBased)

    - #### setVersion

          void setVersion(Date version)

    - #### setPermissions

          void setPermissions(Set<Permission> permissions)

    - #### setRoles

          void setRoles(Set<Role> roles)

    - #### getResources

          Resources getResources()

      Description copied from interface: `Application`
      the `Resources` for this `Application`.
      Specified by:
        `getResources` in interface `Application`
      Returns:
        the `Resources` for this `Application`

    - #### setResources

          void setResources(Resources resources)

    - #### setProperties

          void setProperties(Properties properties)

    - #### setContext

          void setContext(org.springframework.context.ConfigurableApplicationContext applicationContext)

    - #### getContext

          org.springframework.context.ConfigurableApplicationContext getContext()

    - #### setPrivileged

          void setPrivileged(boolean isPrivileged)

    - #### setFeatureProvider

          void setFeatureProvider(FeatureProvider featureProvider)

    - #### closeContext

          void closeContext()

Copyright © 2011–2023 aiticon GmbH. All rights reserved.